
-- @Author: Ragman2414
-- @Date: 04.12.2021
-- @Version: 1.0.0.0

--g_cruiseControlAxis = {}
--g_cruiseControlAxis.isActive = false;

function init()

    if g_specializationManager:getSpecializationByName("cruiseControlAxis") == nil then
        g_specializationManager:addSpecialization("cruiseControlAxis", "CruiseControlAxis", Utils.getFilename("cruiseControlAxis.lua",g_currentModDirectory), true, nil);

        for vehicleType, vehicle in pairs(g_vehicleTypeManager.types) do

            if vehicle ~= nil then
                local enterable = false;
                local motorized = false;
                for name in pairs(vehicle.specializationsByName) do
                    if string.lower(name) == "enterable" then
                        enterable = true;
                    end
                    if string.lower(name) == "motorized" then
                        motorized = true;
                    end
                    if enterable and motorized then
                        local specializationObject = g_specializationManager:getSpecializationObjectByName("cruiseControlAxis");

                        if vehicle.specializationsByName["cruiseControlAxis"] == nil then
                            vehicle.specializationsByName["cruiseControlAxis"] = specializationObject;
                            table.insert(vehicle.specializationNames, "cruiseControlAxis");
                            table.insert(vehicle.specializations, specializationObject);
                        end;

                    end;

                end;
            end;
        end;
    end
end

init()
;